Bug 1232789

Summary: during build is rpm trying to strip static libraries for pic
Product: [Fedora] Fedora EPEL Reporter: Jiri Kastner <jkastner>
Component: sdccAssignee: Jaromír Cápík <jcapik>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: epel7CC: cz172638, hdegoede, jcapik, ovasik, rrankin
Target Milestone: ---   
Target Release: ---   
Hardware: ppc64   
OS: Linux   
Whiteboard:
Fixed In Version: sdcc-3.4.0-7.el7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-17 16:42:56 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jiri Kastner 2015-06-17 13:24:50 UTC
Description of problem:
when building using for ppc64 epel7 in koji, build fails during striping binaries.

Version-Release number of selected component (if applicable):
sdcc-3.4.0-5

How reproducible:


Steps to Reproduce:
1. fedpkg clone sdcc
2. fedpkg switch-branch epel7
3. git merge master
4. fedpkg srpm
5. fedpkg scratch-build --srpm sdcc-3.4.0-5.el7.src.rpm

Actual results:
builds for x86_64, fails for ppc64

Expected results:
build for all epel7 

Additional info:
http://koji.fedoraproject.org/koji/taskinfo?taskID=10073185

Comment 1 Fedora Update System 2015-06-29 20:46:48 UTC
sdcc-3.4.0-7.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/sdcc-3.4.0-7.el7

Comment 2 Fedora Update System 2015-06-30 22:38:40 UTC
sdcc-3.4.0-7.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 3 Fedora Update System 2015-07-17 16:42:56 UTC
sdcc-3.4.0-7.el7 has been pushed to the Fedora EPEL 7 stable repository.